<?xml version="1.0"?>
<DataPackage xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <DeviceTypes>FirstScaleDevice</DeviceTypes>
  <ModuleID>6119</ModuleID>
  <Version>1.3.1.0</Version>
  <IsSupportFromScratch>false</IsSupportFromScratch>
  <StepType>0</StepType>
  <BeforeStartCmd />
  <EndSendCmd />
  <FileInfo>
    <IsSupportBroadcast>true</IsSupportBroadcast>
    <IsMCUFile>true</IsMCUFile>
    <FileLabel>MCU</FileLabel>
    <Version>1.3.1.0</Version>
    <Remark>2018.04.28 K4U V1.3.1.0</Remark>
    <Address>67108864</Address>
    <FileName>MCU.dat</FileName>
    <ExtendNum>0</ExtendNum>
    <IsFileAddrNoIncrease>false</IsFileAddrNoIncrease>
    <CommandConfig>
      <CmdName>StartSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>65534</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileLength</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>32505856</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>1000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileData</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67108864</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>10000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>EndSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SenderForeReset</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67633152</Address>
      <WaitTime>50</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SoftWareHandshake</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>5000</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>20</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
  </FileInfo>
  <FileInfo>
    <IsSupportBroadcast>true</IsSupportBroadcast>
    <IsMCUFile>false</IsMCUFile>
    <FileLabel>5C</FileLabel>
    <Version>1.3.1.0</Version>
    <Remark>2018.04.28 K4U V1.3.1.0</Remark>
    <Address>68157440</Address>
    <FileName>5C.dat</FileName>
    <ExtendNum>0</ExtendNum>
    <IsFileAddrNoIncrease>false</IsFileAddrNoIncrease>
    <CommandConfig>
      <CmdName>StartSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>65534</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileLength</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>32505856</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>1000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileData</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>68157440</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>10000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>EndSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SenderNoForeReset</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67633152</Address>
      <WaitTime>50</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>NoForceSoftWareHandshake</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>5000</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>20</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
  </FileInfo>
  <FileInfo>
    <IsSupportBroadcast>true</IsSupportBroadcast>
    <IsMCUFile>false</IsMCUFile>
    <FileLabel>4C</FileLabel>
    <Version>1.3.1.0</Version>
    <Remark>2018.04.28 K4U V1.3.1.0</Remark>
    <Address>70254592</Address>
    <FileName>4C.dat</FileName>
    <ExtendNum>0</ExtendNum>
    <IsFileAddrNoIncrease>false</IsFileAddrNoIncrease>
    <CommandConfig>
      <CmdName>StartSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>65534</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileLength</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>32505856</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>1000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileData</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>70254592</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>10000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>EndSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SenderNoForeReset</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67633152</Address>
      <WaitTime>50</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>NoForceSoftWareHandshake</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>5000</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>20</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
  </FileInfo>
  <FileInfo>
    <IsSupportBroadcast>true</IsSupportBroadcast>
    <IsMCUFile>false</IsMCUFile>
    <FileLabel>8028</FileLabel>
    <Version>1.3.1.0</Version>
    <Remark>2018.04.28 K4U V1.3.1.0</Remark>
    <Address>72351744</Address>
    <FileName>8028.dat</FileName>
    <ExtendNum>0</ExtendNum>
    <IsFileAddrNoIncrease>false</IsFileAddrNoIncrease>
    <CommandConfig>
      <CmdName>StartSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>65534</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileLength</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>32505856</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>1000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileData</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>72351744</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>10000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>EndSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SenderNoForeReset</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67633152</Address>
      <WaitTime>50</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>NoForceSoftWareHandshake</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>5000</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>20</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
  </FileInfo>
  <FileInfo>
    <IsSupportBroadcast>true</IsSupportBroadcast>
    <IsMCUFile>false</IsMCUFile>
    <FileLabel>Font</FileLabel>
    <Version>1.3.1.0</Version>
    <Remark>2018.04.28 K4U V1.3.1.0</Remark>
    <Address>117440512</Address>
    <FileName>Font.dat</FileName>
    <ExtendNum>0</ExtendNum>
    <IsFileAddrNoIncrease>false</IsFileAddrNoIncrease>
    <CommandConfig>
      <CmdName>StartSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>65534</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileLength</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>32505856</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>1000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SendFileData</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>117440512</Address>
      <WaitTime>0</WaitTime>
      <TimeOut>10000</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>EndSpecialPack</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>200</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>SenderNoForeReset</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>67633152</Address>
      <WaitTime>50</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>1</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
    <CommandConfig>
      <CmdName>NoForceSoftWareHandshake</CmdName>
      <IsCommonCmd>false</IsCommonCmd>
      <Data>0</Data>
      <Address>0</Address>
      <WaitTime>5000</WaitTime>
      <TimeOut>0</TimeOut>
      <ExecuteTimes>20</ExecuteTimes>
      <CmdFromNoneType>0</CmdFromNoneType>
      <SpecialPackID>5</SpecialPackID>
    </CommandConfig>
  </FileInfo>
</DataPackage>